Subject: Re: [PATCH v3 0/4] completion.commands: fix multiple command removals

From: Todd Zullinger <[email-masked]>
Date: Thu, 21 Mar 2019 13:18:36 -0400

Junio C Hamano wrote:
> Todd Zullinger <[email-masked]> writes:
> 
>> Other than a follow-up to update the commit reference in 4/4
>> after 1/4 is in the final form on pu, I think this might be good.
>> If it's easier, we can skip 4/4 and I'll resend it after the
>> others are on pu.
> 
> A series that makes a single topic should expect to be read by a
> reader who understand the context of individual pieces in the topic,
> so it is more common to refer to an earlier step of a series from a
> later step without the object name.  I would have written the log
> message like so instead:
> 
>     completion: use __git when calling --list-cmds
> 
>     As we made --list-cmds read the local configuration file in an
>     earlier step, the completion.commands variable respects repo-level
>     configuration.  Use __git which ensures that the proper repo config
>     is consulted if the command line contains 'git -C /some/other/repo'.
> 
> The whole series looks good to me.  Thanks for working on it.

Thank you for amending the commit message, and to Jeff, Duy,
Eric, and Gábor for all the help.

-- 
Todd